<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
class ChangeSlaStatusEvent extends Event implements ProjectEventInterface
{
    
    
    
    
    private $project;
    
    
    
    
    private $old_statuses;
    
    
    
    
    private $new_statuses;
    public function __construct(\HDproject $project, array $_493892ef8285c54b0ffce1ec09299c46, array $_52aa25a0d6921da588fe80bb30c0e12c)
    {
        $this->project = $project;
        $this->old_statuses = $_493892ef8285c54b0ffce1ec09299c46;
        $this->new_statuses = $_52aa25a0d6921da588fe80bb30c0e12c;
    }
    
    
    
    
    public function getProject() : \HDproject
    {
        return $this->project;
    }
    
    
    
    
    public function getOldStatuses() : array
    {
        return $this->old_statuses;
    }
    
    
    
    
    public function getNewStatuses() : array
    {
        return $this->new_statuses;
    }
}